groovy.util

## Class NodeBuilder

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - groovy.util.BuilderSupport
    - - groovy.util.NodeBuilder

All Implemented Interfaces:
  GroovyObject

    public class NodeBuilder
    extends BuilderSupport

A helper class for creating nested trees of Node objects for handling arbitrary data

Author:
  James Strachan

### Constructor Summary

Constructors
Constructor and Description
`NodeBuilder()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected java.lang.Object` `createNode(java.lang.Object name)`
`protected java.lang.Object` `createNode(java.lang.Object name, java.util.Map attributes)`
`protected java.lang.Object` `createNode(java.lang.Object name, java.util.Map attributes, java.lang.Object value)`
`protected java.lang.Object` `createNode(java.lang.Object name, java.lang.Object value)`
`protected Node` `getCurrentNode()`
`static NodeBuilder` `newInstance()`
`protected void` `setParent(java.lang.Object parent, java.lang.Object child)`

### Methods inherited from class groovy.util.BuilderSupport

`doInvokeMethod, getCurrent, getName, invokeMethod, invokeMethod, nodeCompleted, postNodeCompletion, setClosureDelegate, setCurrent`

### Methods inherited from class groovy.lang.GroovyObjectSupport

`getMetaClass, getProperty, setMetaClass, setProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodeBuilder

    public NodeBuilder()

### Method Detail

#### newInstance

    public static NodeBuilder newInstance()

#### setParent

    protected void setParent(java.lang.Object parent,
                             java.lang.Object child)

Specified by:
  `setParent` in class `BuilderSupport`

#### createNode

    protected java.lang.Object createNode(java.lang.Object name)

Specified by:
  `createNode` in class `BuilderSupport`

#### createNode

    protected java.lang.Object createNode(java.lang.Object name,
                                          java.lang.Object value)

Specified by:
  `createNode` in class `BuilderSupport`

#### createNode

    protected java.lang.Object createNode(java.lang.Object name,
                                          java.util.Map attributes)

Specified by:
  `createNode` in class `BuilderSupport`

#### createNode

    protected java.lang.Object createNode(java.lang.Object name,
                                          java.util.Map attributes,
                                          java.lang.Object value)

Specified by:
  `createNode` in class `BuilderSupport`

#### getCurrentNode

    protected Node getCurrentNode()